---
updatedAt: 2026-06-09T13:03:57.000Z
agentTools:
  projectIndex: https://docs.api.kiln.fi/v0-api-testnet/llms.txt
---

# Operations

Get the operations of Ethereum stakes

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "x-logo": {
      "url": "assets/logo-preview.png"
    },
    "title": "Kiln API",
    "description": "This API provides reporting staking data on various protocols as\nwell as network wide data, staking transaction crafting features\nand so on.\n\n### ACCESS\n\nIn order to use the Kiln API, you must first get an API token\nfrom your <a href=\"https://dashboard.kiln.fi/\">Kiln dashboard</a>\n(applications section). If you don't have access to our dashboard,\nplease get in touch at hello@kiln.fi.\n\nOnce you have your API token, you can set it as a bearer token in\nyour HTTP request headers, and target the Kiln API endpoint with\nthe current MAJOR version of the API as a prefix to routes:\n\n<blockquote>\ncurl \"https://api.kiln.fi/v1/...\" -H \"Authorization: Bearer $KILN_API_TOKEN\"\n</blockquote>\n\n<i>\nIf you need a development environment, please reach out to\nhello@kiln.fi to have a specific access to our testnet environment\nand dedicated API endpoint.\n</i>\n\n### VERSIONING\n\nVersions of the Kiln API use <b>MAJOR.MINOR.PATCH</b> where:\n\n- <b>MAJOR</b> version is increased when there is major\n  incompatible API changes, major versions will be communicated in\n  advance to all customers with a smooth transition path that\n  spans over a minimum period of 3 MINOR versions or ~3\n  months. <i>Intended frequency: 1 year</i>.\n- <b>MINOR</b> version is increased for backward compatible API\n  changes without notice, or communicated breaking changes with a\n  1 minor version notice and a smooth migration path. Minor\n  versions will be communicated regularly to customers with the\n  changelog. <i>Intended frequency: 1 month</i>.\n- <b>PATCH</b> version is increased for backward compatible\n  hot-fixes, patch versions will be communicated to affected\n  customers.\n\n<i>\nDue to the nature of blockchains (protocol disappearing,\nbreaking protocol upgrades), Kiln may introduce\nbackward-incompatible changes in MINOR versions after following\na 1 MINOR version deprecation path (~1 month). These impacting\nchanges will be narrowed as much as possible to the protocol,\nheavily communicated with clear guidelines and support. Customer\nnot relying on affected protocols will not be affected.\n</i>\n\n### BACKWARD COMPATIBILITY\n\nKiln considers the following changes to be backward compatible:\n\n- Adding new API routes.\n- Adding new optional request parameters to existing API methods.\n- Adding new properties to existing API responses.\n- Changing the order of properties in existing API responses.\n- Adding new event types in existing enums.\n\nNon-breaking changes may be introduced in our API and subject to\nmodification before being officialy communicated and documented\nhere. Your application should not depend on them until part of\nthis specification. The preview Kiln API specifications with\nupcoming and experimental new features can be found\n[here](/preview.html).\n\n### REWARDS BEHAVIOR\n\n- No `start_date`: Returns rewards from validator activation date.\n- No `end_date`: Returns rewards up to yesterday.",
    "termsOfService": "https://kiln.fi/",
    "contact": {
      "email": "contact@kiln.fi"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "Preview"
  },
  "servers": [
    {
      "url": "https://api.kiln.fi/v1"
    },
    {
      "url": "https://api.testnet.kiln.fi/v1"
    }
  ],
  "tags": [
    {
      "name": "Ethereum (ETH)",
      "description": "Staking facilities for the Ethereum protocol"
    }
  ],
  "paths": {
    "/eth/operations": {
      "get": {
        "tags": [
          "Ethereum (ETH)"
        ],
        "summary": "Operations",
        "description": "Get the operations of Ethereum stakes",
        "operationId": "getEthOperations",
        "parameters": [
          {
            "$ref": "#/components/parameters/ETHValidatorsParam"
          },
          {
            "$ref": "#/components/parameters/ETHScopeParam"
          },
          {
            "$ref": "#/components/parameters/ETHWalletsParam"
          },
          {
            "$ref": "#/components/parameters/ETHProxiesParam"
          },
          {
            "$ref": "#/components/parameters/ETHWithdrawalCredentialsParam"
          },
          {
            "$ref": "#/components/parameters/ETHValidatorIndexesParam"
          },
          {
            "$ref": "#/components/parameters/AccountsParam"
          },
          {
            "$ref": "#/components/parameters/StartDateParam"
          },
          {
            "$ref": "#/components/parameters/EndDateParam"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "$ref": "#/components/schemas/ETHOperationDeposit"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationConsensusWithdrawal"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationExecutionReward"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationKilnExitRequest"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationLidoExitRequest"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationRioExitRequest"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationVoluntaryExit"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationWithdrawalRequest"
                          },
                          {
                            "$ref": "#/components/schemas/ETHOperationProcessedWithdrawalRequest"
                          }
                        ],
                        "discriminator": {
                          "propertyName": "type",
                          "mapping": {
                            "deposit": "#/components/schemas/ETHOperationDeposit",
                            "consensus_withdrawal": "#/components/schemas/ETHOperationConsensusWithdrawal",
                            "execution_reward": "#/components/schemas/ETHOperationExecutionReward",
                            "kiln_exit_request": "#/components/schemas/ETHOperationKilnExitRequest",
                            "lido_exit_request": "#/components/schemas/ETHOperationLidoExitRequest",
                            "rio_exit_request": "#/components/schemas/ETHOperationRioExitRequest",
                            "voluntary_exit": "#/components/schemas/ETHOperationVoluntaryExit",
                            "withdrawal_request": "#/components/schemas/ETHOperationWithdrawalRequest",
                            "withdrawal_processed": "#/components/schemas/ETHOperationProcessedWithdrawalRequest"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters"
          },
          "401": {
            "description": "Unauthorized"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "parameters": {
      "AccountsParam": {
        "name": "accounts",
        "in": "query",
        "description": "Comma-separated list of Kiln accounts identifiers",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "example": "b7177fd2-fbb3-479f-aa92-db9fb16e229f",
            "format": "uuid"
          }
        }
      },
      "StartDateParam": {
        "name": "start_date",
        "in": "query",
        "description": "Get data from this date (YYYY-MM-DD)",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date",
          "example": "2023-01-10"
        }
      },
      "EndDateParam": {
        "name": "end_date",
        "in": "query",
        "description": "Get data to this date (YYYY-MM-DD)",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date",
          "example": "2023-01-20"
        }
      },
      "ETHValidatorsParam": {
        "name": "validators",
        "in": "query",
        "description": "Comma-separated list of validators addresses. Recommended limit is 200.",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          }
        }
      },
      "ETHScopeParam": {
        "name": "scope",
        "in": "query",
        "description": "Scope of validators to fetch (all network, all kiln keys)",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "string",
          "example": "network",
          "enum": [
            "kiln",
            "network"
          ]
        }
      },
      "ETHWalletsParam": {
        "name": "wallets",
        "in": "query",
        "description": "Comma-separated list of wallets addresses",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "example": "0xe1f4acc0affB36a805474e3b6ab786738C6900A2"
          }
        }
      },
      "ETHProxiesParam": {
        "name": "proxies",
        "in": "query",
        "description": "Comma-separated list of proxy-contract addresses.\nThe definition of a proxy is a smart contract that was involved in the deposit transaction and emitted a log.",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "example": "0xe1f4acc0affB36a805474e3b6ab786738C6900A2"
          }
        }
      },
      "ETHWithdrawalCredentialsParam": {
        "name": "withdrawal_credentials",
        "in": "query",
        "description": "Comma-separated list of withdrawal credentials.",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "example": "00f50428677c60f997aadeab24aabf7fceaef491c96a52b463ae91f95611cf71"
          }
        }
      },
      "ETHValidatorIndexesParam": {
        "name": "validator_indexes",
        "in": "query",
        "description": "Comma-separated list of validators' consensus layer indexes",
        "required": false,
        "style": "form",
        "explode": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "integer",
            "example": 1
          }
        }
      }
    },
    "schemas": {
      "ETHOperationDeposit": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "tx_hash",
          "tx_sender",
          "tx_gas_used",
          "proxies",
          "slot",
          "block",
          "withdrawal_credentials",
          "amount"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "deposit",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "tx_hash": {
            "type": "string",
            "description": "Hash of the transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "tx_sender": {
            "type": "string",
            "description": "Address of the sender of the transaction",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "tx_gas_used": {
            "type": "string",
            "description": "Gas used by the transaction in WEI",
            "example": "2700999916653262"
          },
          "tx_effective_gas_price": {
            "type": "string",
            "description": "Effective gas price used for this TX in WEI",
            "example": "1499997889"
          },
          "proxies": {
            "type": "array",
            "example": [
              "0x1e68238cE926DEC62b3FBC99AB06eB1D85CE0270",
              "0x43244f90814b31dec250de24df5bb023eB1D85CE"
            ],
            "description": "Ordered list of smart-contracts in the calling chain",
            "items": {
              "type": "string",
              "description": "Address of the smart-contract called in the deposit chain",
              "example": "0x1e68238cE926DEC62b3FBC99AB06eB1D85CE0270"
            }
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "block_base_fee": {
            "type": "string",
            "description": "Base fee used for this block in WEI",
            "example": "7"
          },
          "withdrawal_credentials": {
            "type": "string",
            "description": "Withdrawal credentials of the deposit",
            "example": "010000000000000000000000e1f4acc0affb36a805474e3b6ab786738c6900a2"
          },
          "amount": {
            "type": "string",
            "description": "Amount in WEI of the deposit transaction",
            "example": "32000000000000000000000"
          }
        }
      },
      "ETHOperationExecutionReward": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "slot",
          "block",
          "amount"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "execution_reward"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Validator's consensus layer index",
            "example": "1"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the execution reward",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number of the reward",
            "example": 15955054
          },
          "fee_recipient": {
            "type": "string",
            "description": "Fee recipient of the reward",
            "example": "0x1e68238cE926DEC62b3FBC99AB06eB1D85CE0270"
          },
          "is_mev_block": {
            "type": "boolean",
            "description": "The block was created through the MEV (Maximum Extractable Value) system",
            "example": true
          },
          "mev_payout_tx_hash": {
            "type": "string",
            "description": "Hash of the MEV payout transaction when applicable. It is provided on a \"best effort\" basis.",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "amount": {
            "type": "string",
            "description": "Amount in WEI of the reward",
            "example": "3467036438000000000"
          }
        }
      },
      "ETHOperationConsensusWithdrawal": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "slot",
          "block",
          "fee_recipient",
          "amount"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "consensus_withdrawal"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Validator's consensus layer index",
            "example": "1"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the withdrawal",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number of the reward",
            "example": 15955054
          },
          "fee_recipient": {
            "type": "string",
            "description": "Fee recipient of the reward",
            "example": "0x1e68238cE926DEC62b3FBC99AB06eB1D85CE0270"
          },
          "amount": {
            "type": "string",
            "description": "Amount in WEI of the reward",
            "example": "3467036438000000000"
          }
        }
      },
      "ETHOperationKilnExitRequest": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "tx_hash",
          "tx_gas_used",
          "tx_sender",
          "slot",
          "block",
          "emitting_contract"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "kiln_exit_request",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "tx_hash": {
            "type": "string",
            "description": "Hash of the transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "tx_gas_used": {
            "type": "string",
            "description": "Gas used by the transaction in WEI",
            "example": "2700999916653262"
          },
          "tx_effective_gas_price": {
            "type": "string",
            "description": "Effective gas price used for this TX in WEI",
            "example": "1499997889"
          },
          "tx_sender": {
            "type": "string",
            "description": "Address of the sender of the transaction",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "block_base_fee": {
            "type": "string",
            "description": "Base fee used for this block in WEI",
            "example": "7"
          },
          "emitting_contract": {
            "type": "string",
            "description": "Address of the contract from which the request originate",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "caller": {
            "type": "string",
            "description": "Address that called the contract",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          }
        }
      },
      "ETHOperationLidoExitRequest": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "tx_hash",
          "tx_gas_used",
          "tx_sender",
          "slot",
          "block",
          "emitting_contract"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "lido_exit_request",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "tx_hash": {
            "type": "string",
            "description": "Hash of the transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "tx_gas_used": {
            "type": "string",
            "description": "Gas used by the transaction in WEI",
            "example": "2700999916653262"
          },
          "tx_effective_gas_price": {
            "type": "string",
            "description": "Effective gas price used for this TX in WEI",
            "example": "1499997889"
          },
          "tx_sender": {
            "type": "string",
            "description": "Address of the sender of the transaction",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "block_base_fee": {
            "type": "string",
            "description": "Base fee used for this block in WEI",
            "example": "7"
          },
          "emitting_contract": {
            "type": "string",
            "description": "Address of the contract from which the request originate",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          }
        }
      },
      "ETHOperationRioExitRequest": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "tx_hash",
          "tx_gas_used",
          "tx_sender",
          "slot",
          "block",
          "emitting_contract"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "rio_exit_request",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "tx_hash": {
            "type": "string",
            "description": "Hash of the transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "tx_gas_used": {
            "type": "string",
            "description": "Gas used by the transaction in WEI",
            "example": "2700999916653262"
          },
          "tx_effective_gas_price": {
            "type": "string",
            "description": "Effective gas price used for this TX in WEI",
            "example": "1499997889"
          },
          "tx_sender": {
            "type": "string",
            "description": "Address of the sender of the transaction",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "block_base_fee": {
            "type": "string",
            "description": "Base fee used for this block in WEI",
            "example": "7"
          },
          "emitting_contract": {
            "type": "string",
            "description": "Address of the contract from which the request originate",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          }
        }
      },
      "ETHOperationVoluntaryExit": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "slot",
          "block",
          "index_in_payload",
          "message_epoch",
          "message_signature"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "voluntary_exit",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "index_in_payload": {
            "type": "integer",
            "description": "Index in the list of Voluntary Exits in the block's payload",
            "example": 0
          },
          "message_epoch": {
            "type": "integer",
            "description": "Exit epoch set in the message sent to the Beacon Chain",
            "example": 2000
          },
          "message_signature": {
            "type": "string",
            "description": "Signature of the message sent to the Beacon Chain",
            "example": "0xabc"
          }
        }
      },
      "ETHOperationWithdrawalRequest": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "tx_hash",
          "tx_sender",
          "tx_gas_used",
          "proxies",
          "slot",
          "block",
          "amount",
          "fee"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "withdrawal_request",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "tx_hash": {
            "type": "string",
            "description": "Hash of the transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "tx_sender": {
            "type": "string",
            "description": "Address of the sender of the transaction",
            "example": "0x41bf25fc8c52d292bd66d3bcecd8a919ecb9ef88"
          },
          "tx_gas_used": {
            "type": "string",
            "description": "Gas used by the transaction in WEI",
            "example": "2700999916653262"
          },
          "tx_effective_gas_price": {
            "type": "string",
            "description": "Effective gas price used for this TX in WEI",
            "example": "1499997889"
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "block_base_fee": {
            "type": "string",
            "description": "Base fee used for this block in WEI",
            "example": "7"
          },
          "amount": {
            "type": "string",
            "description": "Amount in WEI requested to be withdrawn",
            "example": "32000000000000000000000"
          },
          "fee": {
            "type": "string",
            "description": "Fee, in WEI, paid to the withdrawal contract",
            "example": "32000000000000000000000"
          }
        }
      },
      "ETHOperationProcessedWithdrawalRequest": {
        "type": "object",
        "required": [
          "type",
          "time",
          "validator_address",
          "validator_index",
          "slot",
          "block",
          "amount"
        ],
        "properties": {
          "type": {
            "type": "string",
            "example": "withdrawal_processed",
            "description": "type of the operation"
          },
          "time": {
            "type": "string",
            "format": "date-time",
            "description": "Time of the operation",
            "example": "2023-01-14T01:13:59Z"
          },
          "validator_address": {
            "type": "string",
            "description": "Validator address of the operation",
            "example": "0x95373bcf8e2c64e1c373a6e534c002f210adbcc84c5abda3b6306677e171430ae50781a51c9f579a47622e334dba2412"
          },
          "validator_index": {
            "type": "integer",
            "minimum": 1,
            "description": "Index of the public key of the validator",
            "example": 1
          },
          "slot": {
            "type": "integer",
            "description": "Slot of the deposit",
            "example": 15955054
          },
          "block": {
            "type": "integer",
            "description": "Block number containing the transaction",
            "example": 15955054
          },
          "amount": {
            "type": "string",
            "description": "Amount in WEI requested to be withdrawn",
            "example": "32000000000000000000000"
          }
        }
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```